Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236820 - oddjob: drop "dangerous" bits from /etc/oddjobd.conf
Summary: oddjob: drop "dangerous" bits from /etc/oddjobd.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: oddjob
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 19:52 UTC by Chris Weyl
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.29-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-06 00:10:52 UTC


Attachments (Terms of Use)

Description Chris Weyl 2007-04-17 19:52:09 UTC
/etc/oddjobd.conf contains a couple stanzas which, while they should "never" be
accessible (e.g. the reboot method) still should probably not be in the "real"
config.  Any chance we could drop these stanzas and put them in a sample config,
say under %doc somewhere?

For reference:

        <method name="reboot">
          <helper exec="/sbin/reboot" arguments="0"/>
        </method>

        <method name="mkmyhomedir">
          <helper exec="/usr/lib/oddjob/mkhomedir" arguments="0"
prepend_user_name="yes"/>
          <allow user="root"/>
        </method>

        <method name="mkhomedirfor">
          <helper exec="/usr/lib/oddjob/mkhomedir" arguments="1"/>
          <allow user="root"/>
        </method>

Comment 1 Nalin Dahyabhai 2007-09-05 21:16:32 UTC
I'm happy to drop the "reboot" bit, but I'll move the mkhomedir bits to a
subpackage for 0.29 rather than drop it out.


Note You need to log in before you can comment on or make changes to this bug.